Glanced
Glanced

Search

Search items, feeds, tags, folders, and saved searches.

GET
/v1/search
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Query Parameters

q*Q

Search query string

Length1 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/search?q=string"
{  "data": [    {      "type": "article",      "data": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "title": "string",        "item_type": "article",        "summary": "string",        "published_at": "2019-08-24T14:15:22Z",        "is_read": false,        "is_saved": false,        "media_url": "string",        "canonical_url": "string",        "feeds": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "title": "string",            "source_type": "feed",            "website": "string"          }        ]      }    }  ]}
GET
/v1/search/feeds
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Query Parameters

q*Q

Search query string

Length1 <= length <= 128
limit?Limit

Maximum number of results

Range1 <= value <= 100
Default20
offset?Offset

Result offset for pagination

Range0 <= value
Default0
source_type?|

Filter by source type

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/search/feeds?q=string"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "source_type": "feed",      "title": "string",      "website": "string",      "is_active": true,      "is_pinned": false,      "newsletter_address": "string",      "unread_count": 0,      "podcast_id": "4c1cb0f8-818b-4f7a-9ddb-0d1ea990b35a",      "artist": "string"    }  ],  "pagination": {    "total": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "next_cursor": "string"  }}
GET
/v1/search/folders
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Query Parameters

q*Q

Search query string

Length1 <= length <= 128
limit?Limit

Maximum number of results

Range1 <= value <= 50
Default20
offset?Offset

Result offset for pagination

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/search/folders?q=string"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "unread_count": 0,      "is_pinned": false    }  ],  "pagination": {    "total": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "next_cursor": "string"  }}
GET
/v1/search/tags
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Query Parameters

q*Q

Search query string

Length1 <= length <= 128
limit?Limit

Maximum number of results

Range1 <= value <= 50
Default20
offset?Offset

Result offset for pagination

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/search/tags?q=string"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "item_count": 0    }  ],  "pagination": {    "total": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "next_cursor": "string"  }}
GET
/v1/search/saved-searches
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Query Parameters

q*Q

Search query string

Length1 <= length <= 128
limit?Limit

Maximum number of results

Range1 <= value <= 50
Default20
offset?Offset

Result offset for pagination

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/search/saved-searches?q=string"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "query_data": {},      "is_pinned": false,      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "total": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "next_cursor": "string"  }}

How is this guide?